Skip to main content
GET
/
security
/
sifter
/
v2
/
protected_addresses
/
announces
List BGP announces
curl --request GET \
  --url https://api.gcore.com/security/sifter/v2/protected_addresses/announces \
  --header 'Authorization: <api-key>'
[
  {
    "announced": [
      "192.9.9.1/32",
      "203.0.113.1/32"
    ],
    "client_id": 128120,
    "not_announced": [
      "122.2.2.1/32",
      "120.0.113.2/32"
    ]
  }
]

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Query Parameters

site
string | null
Required string length: 1 - 100
origin
enum<string>[] | null
Available options:
STATIC,
DYNAMIC,
IAAS,
PROTECTED_NETWORK,
EDGE_PROXY
announced
boolean | null
limit
integer | null
Required range: x >= 1
offset
integer | null
Required range: x >= 0
client_id
integer | null

A positive integer ID

Required range: 1 <= x <= 1000000000

Response

Successful Response

client_id
integer
required
Required range: x >= 0
Example:

"128120"

announced
string<ipvanynetwork>[]
required
Example:
["192.9.9.1/32", "203.0.113.1/32"]
not_announced
string<ipvanynetwork>[]
required
Example:
["122.2.2.1/32", "120.0.113.2/32"]